"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.copySourcePullRequestReviewersToTargetPullRequest = void 0;
const filterEmpty_1 = require("../../utils/filterEmpty");
const addReviewersToPullRequest_1 = require("../github/v3/addReviewersToPullRequest");
const getReviewersFromPullRequests_1 = require("../github/v3/getReviewersFromPullRequests");
async function copySourcePullRequestReviewersToTargetPullRequest(options, commits, pullNumber) {
    const pullNumbers = commits
        .map((commit) => commit.sourcePullRequest?.number)
        .filter(filterEmpty_1.filterNil);
    const reviewers = await (0, getReviewersFromPullRequests_1.getReviewersFromPullRequests)({
        options,
        pullNumbers,
    });
    if (reviewers) {
        await (0, addReviewersToPullRequest_1.addReviewersToPullRequest)(options, pullNumber, reviewers);
    }
}
exports.copySourcePullRequestReviewersToTargetPullRequest = copySourcePullRequestReviewersToTargetPullRequest;
//# sourceMappingURL=copySourcePullRequestReviewersToTargetPullRequest.js.map