"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getBackportBranchName_1 = require("./getBackportBranchName");
const commit = { sourcePullRequest: { number: 1234 } };
describe('getBackportBranchName', () => {
    it('returns the default name', () => {
        const name = (0, getBackportBranchName_1.getBackportBranchName)({
            options: {
                backportBranchName: undefined,
            },
            targetBranch: '7.x',
            commits: [commit],
        });
        expect(name).toBe('backport/7.x/pr-1234');
    });
    it('returns a custom name', () => {
        const name = (0, getBackportBranchName_1.getBackportBranchName)({
            options: {
                backportBranchName: 'bp/pull-{{sourcePullRequest.number}}',
            },
            targetBranch: '7.x',
            commits: [commit],
        });
        expect(name).toBe('bp/pull-1234');
    });
});
//# sourceMappingURL=getBackportBranchName.test.js.map