"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nock_1 = __importDefault(require("nock"));
const addAssigneesToPullRequest_1 = require("./addAssigneesToPullRequest");
describe('addAssigneesToPullRequest', () => {
    it('should add assignees to PR', async () => {
        const pullNumber = 216;
        const assignees = ['sqren'];
        const scope = (0, nock_1.default)('https://api.github.com')
            .post('/repos/elastic/kibana/issues/216/assignees', {
            assignees: ['sqren'],
        })
            .reply(200, 'some response');
        const res = await (0, addAssigneesToPullRequest_1.addAssigneesToPullRequest)({
            repoName: 'kibana',
            repoOwner: 'elastic',
            accessToken: 'my-token',
            autoAssign: false,
            interactive: false,
            pullNumber,
            assignees,
        });
        expect(res).toBe(undefined);
        scope.done();
        nock_1.default.cleanAll();
    });
});
//# sourceMappingURL=addAssigneesToPullRequest.test.js.map