"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const getDevAccessToken_1 = require("../../../test/private/getDevAccessToken");
const fetchAuthorId_1 = require("./fetchAuthorId");
const accessToken = (0, getDevAccessToken_1.getDevAccessToken)();
describe('fetchAuthorId', () => {
    describe('author = null', () => {
        it('returns null', async () => {
            const options = {
                accessToken,
                author: null,
            };
            expect(await (0, fetchAuthorId_1.fetchAuthorId)(options)).toEqual(null);
        });
    });
    describe('author is "sqren"', () => {
        it('returns author id', async () => {
            const options = {
                accessToken,
                author: 'sqren',
            };
            expect(await (0, fetchAuthorId_1.fetchAuthorId)(options)).toEqual('MDQ6VXNlcjIwOTk2Ng==');
        });
    });
});
//# sourceMappingURL=fetchAuthorId.private.test.js.map