import { ValidConfigOptions } from '../../../../options/options';
import { Commit, SourceCommitWithTargetPullRequest } from '../../../sourceCommit/parseSourceCommit';
export declare function fetchCommitsByAuthor(options: {
    accessToken: string;
    author: string | null;
    branchLabelMapping?: ValidConfigOptions['branchLabelMapping'];
    commitPaths?: string[];
    dateSince: string | null;
    dateUntil: string | null;
    githubApiBaseUrlV4?: string;
    maxNumber?: number;
    onlyMissing?: boolean;
    repoName: string;
    repoOwner: string;
    sourceBranch: string;
}): Promise<Commit[]>;
export interface CommitByAuthorResponse {
    repository: {
        ref: {
            target: {
                history: {
                    edges: Array<{
                        node: SourceCommitWithTargetPullRequest;
                    }>;
                };
            };
        } | null;
    };
}
