import { ConfigFileOptions } from '../entrypoint.api';
import { GithubV4Exception } from './github/v4/apiRequestV4';
export declare const RemoteConfigHistoryFragment: import("graphql").DocumentNode;
export interface RemoteConfig {
    committedDate: string;
    file: {
        object: {
            text: string;
        };
    };
}
export interface RemoteConfigHistory {
    remoteConfigHistory: {
        edges: Array<{
            remoteConfig: RemoteConfig;
        }> | null;
    };
}
export declare function parseRemoteConfig(remoteConfig: RemoteConfig): ConfigFileOptions | undefined;
export declare function swallowMissingConfigFileException<T>(error: GithubV4Exception<T> | unknown): T;
