import { ValidConfigOptions } from '../../options/options';
import { SourcePullRequestNode, SourceCommitWithTargetPullRequest } from './parseSourceCommit';
export type PullRequestState = 'OPEN' | 'CLOSED' | 'MERGED' | 'NOT_CREATED';
type CreatedPullRequest = {
    url: string;
    number: number;
    branch: string;
    state: PullRequestState;
    mergeCommit?: {
        sha: string;
        message: string;
    };
};
type TargetBranchWithLabel = {
    branchLabelMappingKey: string;
    branch: string;
    label: string;
    isSourceBranch: boolean;
};
export type TargetPullRequest = (CreatedPullRequest & Partial<TargetBranchWithLabel>) | ((TargetBranchWithLabel & Partial<CreatedPullRequest>) & {
    state: PullRequestState;
});
export declare function getSourcePullRequest(sourceCommit: SourceCommitWithTargetPullRequest): SourcePullRequestNode | undefined;
export declare function getPullRequestStates({ sourceCommit, branchLabelMapping, }: {
    sourceCommit: SourceCommitWithTargetPullRequest;
    branchLabelMapping: ValidConfigOptions['branchLabelMapping'];
}): TargetPullRequest[];
export declare function getTargetBranchFromLabel({ branchLabelMapping, label, }: {
    branchLabelMapping: NonNullable<ValidConfigOptions['branchLabelMapping']>;
    label: string;
}): {
    targetBranch: string;
    branchLabelMappingKey: string;
} | undefined;
export {};
