import { ConfigFileOptions } from '../ConfigOptions';
export declare function readConfigFile(filepath: string): Promise<ConfigFileOptions>;
export declare function withConfigMigrations({ upstream, labels, branches, addOriginalReviewers, ...config }: ConfigFileOptions): {
    fork?: boolean | undefined;
    dir?: string | undefined;
    details?: boolean | undefined;
    multiple?: boolean | undefined;
    help?: boolean | undefined;
    logFilePath?: string | undefined;
    interactive?: boolean | undefined;
    accessToken?: string | undefined;
    assignees?: string[] | undefined;
    author?: string | null | undefined;
    autoAssign?: boolean | undefined;
    autoFixConflicts?: (({ files, directory, logger, targetBranch, }: {
        files: string[];
        directory: string;
        logger: import("winston").Logger;
        targetBranch: string;
    }) => boolean | Promise<boolean>) | undefined;
    autoMerge?: boolean | undefined;
    autoMergeMethod?: string | undefined;
    backportBinary?: string | undefined;
    backportBranchName?: string | undefined;
    cherrypickRef?: boolean | undefined;
    commitConflicts?: boolean | undefined;
    commitPaths?: string[] | undefined;
    dryRun?: boolean | undefined;
    editor?: string | undefined;
    gitAuthorEmail?: string | undefined;
    gitAuthorName?: string | undefined;
    gitHostname?: string | undefined;
    githubActionRunId?: number | undefined;
    githubApiBaseUrlV3?: string | undefined;
    githubApiBaseUrlV4?: string | undefined;
    ls?: boolean | undefined;
    maxNumber?: number | undefined;
    multipleBranches?: boolean | undefined;
    multipleCommits?: boolean | undefined;
    noVerify?: boolean | undefined;
    prDescription?: string | undefined;
    prFilter?: string | undefined;
    projectConfigFile?: string | undefined;
    prTitle?: string | undefined;
    publishStatusCommentOnAbort?: boolean | undefined;
    publishStatusCommentOnFailure?: boolean | undefined;
    publishStatusCommentOnSuccess?: boolean | undefined;
    pullNumber?: number | number[] | undefined;
    repoForkOwner?: string | undefined;
    repoName?: string | undefined;
    repoOwner?: string | undefined;
    resetAuthor?: boolean | undefined;
    reviewers?: string[] | undefined;
    sha?: string | string[] | undefined;
    signoff?: boolean | undefined;
    skipRemoteConfig?: boolean | undefined;
    sourceBranch?: string | undefined;
    sourcePRLabels?: string[] | undefined;
    copySourcePRLabels?: boolean | undefined;
    copySourcePRReviewers?: boolean | undefined;
    targetBranchChoices?: import("../ConfigOptions").TargetBranchChoiceOrString[] | undefined;
    targetBranches?: string[] | undefined;
    targetPRLabels?: string[] | undefined;
    version?: boolean | undefined;
    v?: boolean | undefined;
    branchLabelMapping?: Record<string, string> | undefined;
};
